Bug 1312281 - NetworkManager ignores the REORDER_HDR flag for VLAN connections
NetworkManager ignores the REORDER_HDR flag for VLAN connections
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.2
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Beniamino Galvani
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-26 05:29 EST by Beniamino Galvani
Modified: 2016-11-03 15:08 EDT (History)
8 users (show)

See Also:
Fixed In Version: NetworkManager-1.4.0-0.1.git20160606.b769b4df.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 15:08:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 762626 None None None 2016-02-26 05:29 EST

  None (edit)
Description Beniamino Galvani 2016-02-26 05:29:01 EST
Description of problem:

When a new VLAN connection is created the default value for VLAN flags
is 0, and then the REORDER_HDR=0 variable is added to the ifcfg file;
but the setting is ignored and the device is created with the
REORDER_HDR flag set.

So the first problem is that we ignore the setting. The second problem
is that when NM will start honoring the setting, all the previously
created connections will not work the same because they won't have the
REORDER_HDR flag. We need to find a way to properly deal with the
change.

Version-Release number of selected component (if applicable):
NetworkManager-1.0.6-27.el7.x86_64

Steps to Reproduce:
# nmcli connection add type vlan con-name vlan123 ifname vlan123 dev ens3 id 123 ip4 1.2.3.4/32

# nmcli c show vlan123 | grep vlan.flags
vlan.flags:                             0 (NONE)

# ip -d l show vlan123
21: vlan123@ens3: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP mode DEFAULT
    link/ether 52:51:00:23:22:d7 brd ff:ff:ff:ff:ff:ff promiscuity 0
    vlan protocol 802.1Q id 123 <REORDER_HDR> addrgenmode none
Comment 2 Beniamino Galvani 2016-07-04 04:22:20 EDT
The REORDER_HDR flag in vlan flags is now honored. Newly created connections will have the flag set to REORDER_HDR, which is the default for manually created VLANs. To retain backwards compatibility, the REORDER_HDR variable in ifcfg files is now deprecated (and ignored) in favor of VLAN_FLAGS=[NO_REORDER_HDR].
Comment 4 Vladimir Benes 2016-08-30 09:36:07 EDT
REORDER_HDR can now be correctly set to true (via REORDER_HDR=yes/no VLAN_FLAGS=NO_REORDER_HDR flag) in ifcfg file or removed (via REORDER_HDR=no/VLAN_FLAGS=NO_REORDER_HDR flag) in ifcfg file. It can be set via nmcli option vlan.flags, too.
Comment 6 errata-xmlrpc 2016-11-03 15:08:05 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html

Note You need to log in before you can comment on or make changes to this bug.